GDS Profile Sync

POST Add members

POST /members

Use this resource to add a member.

Parameters

  • client_id (header, string, required) The client ID to access the API.
  • client_secret (header, string, required) The client secret to access the API.

Request body

Media type: application/json. Schema: object.

  • createdById (string, required) The unique ID using which the account was created.
  • createdDate (string, required) The date on which account was created.
  • birthdate (string, required) The member's date of birth.
  • loyaltyNumber (string, required) The membership number of the loyalty program member.
  • surname (string, required) The last name of the member.
  • gender (string, required) The member's gender.
  • givenName (string, required) The first name of the member.
  • phoneNumber (string, required) The member's phone number.
  • phoneType (string, required) The type of phone number.
  • loyaltyLevel (string, required) The passenger's membership tier or status with the airline’s frequent flyer program.
  • email (string, required) The email ID of the member.
  • loyaltyLevelDescription (string, required) A description of the benefits, privileges, and requirements associated with each loyalty level.
  • keyword (string, required) The token that’s sent to assign specific benefits.
  • instance (string, required) A sequential number for every message sent.
  • expireDate (string, required) The date on which the membership expires.

Example

createdById: ""
createdDate: ""
birthdate: ""
loyaltyNumber: ""
surname: ""
gender: ""
givenName: ""
phoneNumber: ""
phoneType: ""
loyaltyLevel: ""
email: ""
loyaltyLevelDescription: ""
keyword: ""
instance: ""
expireDate: ""

Responses

  • 200

    Media type: application/json. Schema: any.

    Type: any.

  • 400 Bad request.

    Media type: application/json. Schema: object.

    • transactionStatus (string, required) The error code corresponding to the error.
    • message (string) A short description of the error.

    Example: invalid-toast-transaction-type

    transactionStatus: BAD_REQUEST
    message: Invalid request.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.
  • 404 Resource not found.

    Media type: application/json. Schema: object.

    • transactionStatus (string, required) The error code corresponding to the error.
    • message (string) A short description of the error.

    Example: invalid-toast-transaction-type

    transactionStatus: BAD_REQUEST
    message: Invalid request.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.
  • 405 Method not allowed.

    Media type: application/json. Schema: object.

    • transactionStatus (string, required) The error code corresponding to the error.
    • message (string) A short description of the error.

    Example: invalid-toast-transaction-type

    transactionStatus: BAD_REQUEST
    message: Invalid request.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.
  • 415 Unsupported media type.

    Media type: application/json. Schema: object.

    • transactionStatus (string, required) The error code corresponding to the error.
    • message (string) A short description of the error.

    Example: invalid-toast-transaction-type

    transactionStatus: BAD_REQUEST
    message: Invalid request.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.
  • 500 Internal server error.

    Media type: application/json. Schema: object.

    • transactionStatus (string, required) The error code corresponding to the error.
    • message (string) A short description of the error.

    Example: invalid-toast-transaction-type

    transactionStatus: BAD_REQUEST
    message: Invalid request.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.

    Example

    transactionStatus: NOT_FOUND
    message: Resource not found.

    Example

    transactionStatus: NOT_ALLOWED
    message: Method not allowed.

    Example

    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media type not supported.

    Example

    transactionStatus: ERROR
    message: Internal server error.